com.hazelcast.org.snakeyaml.engine.v1.events

## Class CollectionStartEvent

- java.lang.Object
- - com.hazelcast.org.snakeyaml.engine.v1.events.Event
  - - com.hazelcast.org.snakeyaml.engine.v1.events.NodeEvent
    - - com.hazelcast.org.snakeyaml.engine.v1.events.CollectionStartEvent

- Direct Known Subclasses:
    MappingStartEvent, SequenceStartEvent

      public abstract class CollectionStartEvent
      extends NodeEvent

  Base class for the start events of the collection nodes.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.hazelcast.org.snakeyaml.engine.v1.events.Event

      `Event.ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectionStartEvent(Optional<Anchor> anchor, Optional<String> tag, boolean implicit, FlowStyle flowStyle, Optional<Mark> startMark, Optional<Mark> endMark)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlowStyle` | `getFlowStyle()` `true` if this collection is in flow style, `false` for block style.
    `Optional<String>` | `getTag()` Tag of this collection.
    `boolean` | `isFlow()`
    `boolean` | `isImplicit()` `true` if the tag can be omitted while this collection is emitted.
    `String` | `toString()`

    - ### Methods inherited from class com.hazelcast.org.snakeyaml.engine.v1.events.NodeEvent

      `getAnchor`

    - ### Methods inherited from class com.hazelcast.org.snakeyaml.engine.v1.events.Event

      `equals, getEndMark, getEventId, getStartMark, hashCode, isEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectionStartEvent

          public CollectionStartEvent(Optional<Anchor> anchor,
                                      Optional<String> tag,
                                      boolean implicit,
                                      FlowStyle flowStyle,
                                      Optional<Mark> startMark,
                                      Optional<Mark> endMark)

  - ### Method Detail

    - #### getTag

          public Optional<String> getTag()

      Tag of this collection.
      Returns:
        The tag of this collection, or `null` if no explicit tag is available.

    - #### isImplicit

          public boolean isImplicit()

      `true` if the tag can be omitted while this collection is emitted.
      Returns:
        True if the tag can be omitted while this collection is emitted.

    - #### getFlowStyle

          public FlowStyle getFlowStyle()

      `true` if this collection is in flow style, `false` for block style.
      Returns:
        If this collection is in flow style.

    - #### isFlow

          public boolean isFlow()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019. All rights reserved.